
ACSA HK Bill Payment SDK - Bug #14384

[UAT1 - Backoffice] Category Code Dropdown Field Error

23 September 2022 04:29 PM - wong yen chen

Status: Closed Start date: 23 September 2022

Priority: Normal Due date: 26 September 2022

Assignee: wong yen chen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Issue

Faced 500 error when select any selection from the Merchant Category dropdown list under Merchant Module.

Expected Result

No issue on any merchant category selection

Please find the attached file for further details

Related issues:

Related to Bug #14210: [VST2 - Backoffice_API] Category Code Field Type Closed 26 August 202230 August 2022

History

#1 - 23 September 2022 04:35 PM - wong yen chen

- Related to Bug #14210: [VST2 - Backoffice_API] Category Code Field Type added

#2 - 23 September 2022 05:26 PM - Shafiqah Rahni

- Status changed from New to Resolved

- Assignee changed from Shafiqah Rahni to wong yen chen

- % Done changed from 0 to 100

Revision: 219135

----

Modified : /ACSA/BillPaymentAPI/trunk/src/main/java/com/silverlake/mobility/billing/dao/BillerDAOImpl.java

Modified : /ACSA/BillPaymentAPI/trunk/src/main/java/com/silverlake/mobility/billing/service/dto/BillerListBoReqDTO.java

Root Cause : Search Criteria for Merchant Category field still expecting string value

Resolution : Update Search Criteria for Merchant Category field to numeric as #14210

Deployed.

#3 - 23 September 2022 05:44 PM - wong yen chen

- File Merchant Category_Test Dorpdown List.docx added

- Status changed from Resolved to Closed

Tested good.

Files

UAT2- Bill Payment.docx 519 KB23 September 2022 wong yen chen

21 April 2025 1/2

https://dev.silverlakemobility.com/redmine/issues/14210


Merchant Category_Test Dorpdown List.docx 186 KB23 September 2022 wong yen chen
